package com.tzld.piaoquan.recommend.server.framework.common;

import lombok.Data;

@Data
public class User {

    private String id;
    private String uid;
    private String mid;
    private UserAttention userAttention;

    // user profile 基础画像信息
    private String machine_model;
    private String machine_brand;
    private String sdk;
    private String gender;
    private String ifCreater;
    private String userType;
    private String region;
    private String city;

    // user-content info 用户内容tag统计数据
    private UserAction last1monthVideoTags;
    private UserAction last7dayVideoTags;
    private UserAction last1dayVideoTags;
    private UserAction lastSessionVideoTags;

    private UserAction last1monthTitleTags;
    private UserAction last7dayTitleTags;
    private UserAction last1dayTitleTags;
    private UserAction lastSessionTitleTags;

    // 用户关注up主信息
    private UserAction last1monthPublishers;

    // user-action info 用户
    private UserAction last1monthUserAction;
    private UserAction last7dayUserAction;
    private UserAction last1dayUserAction;
    private UserAction last1hourUserAction;
    private UserAction lastSessionUserAction;

    // user-group info
    private String userGroup;

    // user-vector
    private String userVector;



}
