package com.tzld.piaoquan.recommend.server.implement.candidate;

import com.tzld.piaoquan.recommend.server.framework.candidiate.Candidate;
import com.tzld.piaoquan.recommend.server.framework.common.User;
import com.tzld.piaoquan.recommend.server.framework.merger.IndexCandidateQueue;
import com.tzld.piaoquan.recommend.server.framework.merger.StrategyQueueConfig;
import com.tzld.piaoquan.recommend.server.framework.merger.StrategyQueueInfo;
import com.tzld.piaoquan.recommend.server.gen.recommend.RecommendRequest;

import java.util.Map;

/**
 * 对应 SimHotVideo 和 ReturnVideo
 *
 * @author sunxy
 */
public class HotCandidateQueue extends IndexCandidateQueue {

    public HotCandidateQueue(StrategyQueueInfo strategyQueueInfo, StrategyQueueConfig strategyQueueConfig) {
        super(strategyQueueInfo, strategyQueueConfig);
    }

    @Override
    public int addCandidateKey(Map<String, Candidate> candidates, int recallNum, User user,
                               RecommendRequest requestData, int requestIndex, int expId) {

        return 0;
    }

    @Override
    public String toString() {
        return "HotCandidateQueue{" +
                "myCandidates=" + myCandidates +
                ", rankerItemsList=" + rankerItemsList +
                ", children=" + children +
                ", items=" + items +
                '}';
    }
}
