package com.tzld.piaoquan.recommend.server.util;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.core.JsonParseException;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.google.common.collect.Lists;

import java.io.IOException;
import java.util.*;
import java.util.stream.Collectors;

public class ParserUtils {

    public static Map<Integer, List<String>> parseJsonForRiskRule(String s) {
        ObjectMapper objectMapper = new ObjectMapper();
        Map<Integer, List<String>> dataNew = new HashMap<>();
        if (s == null){
            return dataNew;
        }
        try {
            Map<String, List<String>> data = objectMapper.readValue(s, Map.class);
            for (Map.Entry<String, List<String>> entry : data.entrySet()) {
                int key = Integer.parseInt(entry.getKey());
                List<String> value = entry.getValue();
                dataNew.put(key, value);
            }
        } catch (JsonParseException | JsonMappingException e) {
            System.err.println("Error parsing JSON: " + e.getMessage());
        } catch (IOException e) {
            System.err.println("IO Exception: " + e.getMessage());
        }

        return dataNew;
    }

    public static List<Long> parseJsonForRiskVideos(String s) {
        List<Long> dataNew = new ArrayList<>();
        if (s == null){
            return dataNew;
        }
        try {
            String[] data = s.split(",");
            for (String item : data) {
                Long value = Long.parseLong(item);
                dataNew.add(value);
            }
        } catch (Exception e) {
            System.err.println("Error parsing string: " + e.getMessage());
        }

        return dataNew;
    }

    public static void main(String[] args) {
        List<Long> videoIdList = new ArrayList<>(Arrays.asList(9041871L,
                9041870L,
                9041869L,
                9041868L,
                9041867L,
                9041866L,
                9041865L,
                9041864L,
                9041863L,
                9041862L,
                9041861L,
                9041860L,
                9041859L,
                9041858L,
                9041857L,
                9041856L,
                9041855L,
                9041854L,
                9041853L,
                9041852L,
                9041851L,
                9041850L,
                9041849L,
                9041848L,
                9041847L,
                9041846L,
                9041845L,
                9041844L,
                9041843L,
                9041842L,
                9041841L,
                9041840L,
                9041839L,
                9041838L,
                9041837L,
                9041836L,
                9041835L,
                9041834L,
                9041833L,
                9041832L,
                9041831L,
                9041830L,
                9041829L,
                9041828L,
                9041827L,
                9041826L,
                9041825L,
                9041824L,
                9041823L,
                9041822L,
                9041821L,
                9041820L,
                9041819L,
                9041818L,
                9041817L,
                9041816L,
                9041815L,
                9041814L,
                9041813L,
                9041812L,
                9041811L,
                9041810L,
                9041809L,
                9041808L,
                9041807L,
                9041806L,
                9041805L,
                9041804L,
                9041803L,
                9041802L,
                9041801L,
                9041800L,
                9041799L,
                9041798L,
                9041797L,
                9041796L,
                9041795L,
                9041794L,
                9041793L,
                9041792L,
                9041791L,
                9041790L,
                9041789L,
                9041788L,
                9041787L,
                9041786L,
                9041785L,
                9041784L,
                9041783L,
                9041782L,
                9041781L,
                9041780L,
                9041779L,
                9041778L,
                9041777L,
                9041776L,
                9041775L,
                9041774L,
                9041773L,
                9041772L,
                9041771L,
                9041770L,
                9041769L,
                9041768L,
                9041767L,
                9041766L,
                9041765L,
                9041764L,
                9041763L,
                9041762L,
                9041761L,
                9041760L,
                9041759L,
                9041758L,
                9041757L,
                9041756L,
                9041755L,
                9041754L,
                9041753L,
                9041752L,
                9041751L,
                9041750L,
                9041749L,
                9041748L,
                9041747L,
                9041746L,
                9041745L,
                9041744L,
                9041743L,
                9041742L,
                9041741L,
                9041740L,
                9041739L,
                9041738L,
                9041737L,
                9041736L,
                9041735L,
                9041734L,
                9041733L,
                9041732L,
                9041731L,
                9041730L,
                9041729L,
                9041728L,
                9041727L,
                9041726L,
                9041725L,
                9041724L,
                9041723L,
                9041722L,
                9041721L,
                9041720L,
                9041719L,
                9041718L,
                9041717L,
                9041716L,
                9041715L,
                9041714L,
                9041713L,
                9041712L,
                9041711L,
                9041710L,
                9041709L,
                9041708L,
                9041707L,
                9041706L,
                9041705L,
                9041704L,
                9041703L,
                9041702L,
                9041701L,
                9041700L,
                9041699L,
                9041698L,
                9041697L,
                9041696L,
                9041695L,
                9041694L,
                9041693L,
                9041692L,
                9041691L,
                9041690L,
                9041689L,
                9041688L,
                9041687L,
                9041686L,
                9041685L,
                9041684L,
                9041683L,
                9041682L,
                9041681L,
                9041680L,
                9041679L,
                9041678L,
                9041677L,
                9041676L,
                9041675L,
                9041674L,
                9041673L,
                9041672L,
                9041671L,
                9041670L,
                9041669L,
                9041668L,
                9041667L,
                9041666L,
                9041665L,
                9041664L,
                9041663L,
                9041662L,
                9041661L,
                9041660L,
                9041659L,
                9041658L,
                9041657L,
                9041656L,
                9041655L,
                9041654L,
                9041653L,
                9041652L,
                9041651L,
                9041650L,
                9041649L,
                9041648L,
                9041647L,
                9041646L,
                9041645L,
                9041644L,
                9041643L,
                9041642L,
                9041641L,
                9041640L,
                9041639L,
                9041638L,
                9041637L,
                9041636L,
                9041635L,
                9041634L,
                9041633L,
                9041632L
        ));
        List<List<Long>> partition = Lists.partition(videoIdList, 120);
        partition.stream().map(list -> list.stream().map(videoId -> Arrays.asList(videoId + "", "0.5")) .collect(Collectors.toList()))
                .forEach(list -> System.out.println(JSONObject.toJSONString(list)));

    }
}
